1. We suggest you do NOT update to Joomla 3.8.10 until we can resolve an issue it causes with caching in Fabrik. If you do install it, you'll need to disable Joomla's "System Cache" in the global System settings.
  2. Apologies for the recent server outage, a planned migration by our host provider to a new location turned into a bit of a nightmare.

Form Module: Validation tooltips display raw html

Discussion in 'Community' started by Sophist, Dec 21, 2017.

  1. Sophist

    Sophist Well-Known Member

    Level: Community
  2. Sophist

    Sophist Well-Known Member

    Level: Community
    Looks like a template issue - works in Protostar, doesn't work in Yoo Master 2.

    It is creating various Console errors for js statements of the form "variable = New Class(stuff);"
     
  3. Sophist

    Sophist Well-Known Member

    Level: Community
    But I have no idea of the cause or how to fix it.
     
  4. cheesegrits

    cheesegrits Support Gopher Staff Member

    Level: Professional
    Literally just today the YooTheme folk finally agreed to give me a license, so I can download their stuff for integration work. It's taken me 6 months to get them to agree to it, so all Yoo0Theme related work has been on hold. In the new year I'll download their new framework stuff and take a look.

    -- hugh
     
  5. Sophist

    Sophist Well-Known Member

    Level: Community
    Yoo Master 2 template is free - and includes their framework.
     
  6. Sophist

    Sophist Well-Known Member

    Level: Community
  7. cheesegrits

    cheesegrits Support Gopher Staff Member

    Level: Professional
    But the issues about half a dozen users had raised earlier in the year were on paid templates, and the Pro framework stuff. And I simply wasn't going to waste time and effort on only the freebie stuff, which didn't benefit our users actually paying for their templates. We only support template vendors if they play ball, and give other Joomla extension devs unrestricted access to their products. Which all the others have always done ... RocketTheme, Gavick, JoomlArt etc. YooTheme were the only people I've ever had balk at giving me access for integration work. Just trying to get them to talk to me has been a freaking nightmare, getting bounced around and brushed off by a succession of "Pre Sales Specialists". So I simply crossed YouTheme off the list of frameworks we support.

    Now I can actually download whatever I need, I'll put them back on the list, and start work when I've cleared my current template related workload (I'm working on some T3 related stuff atm).

    -- hugh
     
  8. Sophist

    Sophist Well-Known Member

    Level: Community
  9. cheesegrits

    cheesegrits Support Gopher Staff Member

    Level: Professional
    If it's bitching about "Class is not a constructor", it could be a jquery plugin some system plugins load (there's a security plugin I've run across that uses it) which defines Class as a singleton, thus blowng away Mootools use of it as a constructor. And like it or not, with about 50k lines of Mootools based code in Fabrik, it's not going away any time soon. I'm steadily plugging away at migrating, but it'll be another year or so minimum.

    -- hugh
     
  10. Sophist

    Sophist Well-Known Member

    Level: Community
    What is the security plugin? (And a stupid use of Class.)
     
  11. Sophist

    Sophist Well-Known Member

    Level: Community
  12. Sophist

    Sophist Well-Known Member

    Level: Community
    He has literally just rewritten it to avoid some other code issues that I had to fix - and he has removed this stupidity during the rewrite. So its sorted - and thanks for your help.
     
    cheesegrits likes this.
  13. pietrocir

    pietrocir New Member

    Level: Community
  14. Sophist

    Sophist Well-Known Member

    Level: Community
    I am using his plugin but not PDF generation.

    With my feedback he has issued several updates recently. Are you on his latest version?
     
  15. pietrocir

    pietrocir New Member

    Level: Community
    I'm using RicheyWeb's "EU e-privacy directive" latest plugin version 3.5.
    I start a discussion also in his support forum.
     

Share This Page